### Hierarchy

- DeepCopy<Site>
  - Site

## Index

### Constructors

- constructor

### Properties

- confidential
- id
- origin
- publicKey

### Methods

- copy
- deepCopyFromJson

## Constructors

### constructor

- new Site(id?: number, origin?: string, publicKey?: string, confidential?: boolean): Site

- - Defined in repository/models/Site.ts:8

  #### Parameters

  - ##### Default value id: number = 0

  - ##### Default value origin: string = ""

  - ##### Default value publicKey: string = ""

  - ##### Default value confidential: boolean = false

  #### Returns Site

## Properties

### confidential

confidential: boolean

- Defined in repository/models/Site.ts:8

### id

id: number

- Defined in repository/models/Site.ts:5

### origin

origin: string

- Defined in repository/models/Site.ts:6

### publicKey

publicKey: string

- Defined in repository/models/Site.ts:7

## Methods

### copy

- copy(changeArgs?: JsonObject<Site>): Site

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:7

  #### Parameters

  - ##### Optional changeArgs: JsonObject<Site>

  #### Returns Site

### Protected deepCopyFromJson

- deepCopyFromJson(): Site

- Inherited from DeepCopy.deepCopyFromJson

  - Defined in repository/models/DeepCopy.ts:18

  #### Returns Site

Generated using TypeDoc